N5416A USB Automated Test Application

Software Version 03.93.0000

© 2014-2016 Keysight Technologies

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

March 2016

Table of Contents

USB Automated Test Application - At a Glance
Starting the USB Automated Test Application

To view/minimize the task flow pane

To view/hide the toolbar
Creating or Opening a Test Project

To Set Load Preferences
Setting Up InfiniiSim
Setting Up the Precision Probe/Cable
Setting up the Test Environment

Configure Devices

Setting Up the 81134A Pulse Generator

Setting Up the 81130A Pulse Generator

Exporting Test Data to a Database
Selecting Tests
Configuring Tests
Connecting the Oscilloscope to the DUT
Running Tests

To select the Store Mode

To run multiple times

To send email on pauses or stops

To pause or stop on events

To specify the event

To set the run preferences

To set the display preferences
Automating the Application
Viewing Results

To delete trials from the results

To show reference images and flash mask hits

To change margin thresholds

To change the test display order

To set trial display preferences
Viewing/Exporting/Printing the Report

To export the report

To print the report

To set HTML Report preferences
Understanding the Report
Saving Test Projects

To set AutoRecovery preferences
User Defined Add-Ins

To install an add-in

To remove an add-in
Controlling the Application via a Remote PC

To check for the App Remote license

To identify the remote interface version

To enable the remote interface

To enable remote interface hints
Using a Second Monitor

N5416A/N5416B USB Automated Test Application

Online Help


USB Automated Testing - At a Glance

Keysight N5416A/N5416B USB Automated Test Application Online Help

USB Automated Test Application - At a Glance

The N5416A/N5416B USB Automated Test Application provides a framework for using Keysight Infiniium oscilloscopes to perform compliance testing. The automated test application guides you through the process of selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results.

The automated test application requires:

  • Version 5.71 or greater of Infiniium software (54854A, 54855A and 80000 series Infiniium Digital Storage Oscilloscope) OR

  • Version 1.41 or greater of Infiniium software (90000A series Infiniium Digital Storage Oscilloscope) OR

  • Version 2.00 or greater of Infiniium software (9000A series Infiniium Digital Storage Oscilloscope).

  • Keysight also recommends using a second monitor to view the automated test application.

To use the automated test application, see:

  • Starting the USB Automated Test Application
    • To view/minimize the task flow pane
    • To view/hide the toolbar
  • Creating or Opening a Test Project
    • To Set Load Preferences
  • Setting Up InfiniiSim
  • Setting Up the Precision Probe/Cable
  • Setting up the Test Environment
    • Configure Devices
    • Setting Up the 81134A Pulse Generator
    • Setting Up the 81130A Pulse Generator
    • Exporting Test Data to a Database
  • Selecting Tests
  • Configuring Tests
  • Connecting the Oscilloscope to the DUT
  • Running Tests
    • To select the Store Mode
    • To run multiple times
    • To send email on pauses or stops
    • To pause or stop on events
    • To specify the event
    • To set the run preferences
    • To set the display preferences
  • Automating the Application
  • Viewing Results
    • To delete trials from the results
    • To show reference images and flash mask hits
    • To change margin thresholds
    • To change the test display order
    • To set trial display preferences
  • Viewing/Exporting/Printing the Report
    • To export the report
    • To print the report
    • To set HTML Report preferences
  • Understanding the Report
  • Saving Test Projects
    • To set AutoRecovery preferences
  • User Defined Add-Ins
    • To install an add-in
    • To remove an add-in
  • Controlling the Application via a Remote PC
    • To check for the App Remote license
    • To identify the remote interface version
    • To enable the remote interface
    • To enable remote interface hints
  • Using a Second Monitor

For more information on performing USB compliance tests, see:

  • Keysight N5416A USB 2.0 Compliance Test Option Notes on Electrical Testing


Starting the USB Automated Test Application

Keysight N5416A/N5416B USB Automated Test Application Online Help

Starting the USB Automated Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>N5416A/N5416B USB Test App.

    The USB automated test application window appears.

Next

  • Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the USB Automated Test Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the USB Automated Test Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, click View>Toolbar from the menu.


Creating or Opening a Test Project

Keysight N5416A/N5416B USB Automated Test Application Online Help

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog box, browse to a test project directory and select the desired .proj file.

  3. Click Open.

See Also

  • To set load preferences

Next

· Setting Up Infiniisim


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the USB automated test application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To set up InfiniiSim

Keysight N5416A/N5416B USB Automated Test Application Online Help

Setting Up InfiniiSim

Note

The InfiniiSim setup feature is only accessible from the USB automated test application if it is currently licensed on the oscilloscope.

  1. From the USB automated test application's main menu, click Tools>Infiniium>InfiniiSim....

  2. In the Configure InfiniiSim dialog box, select either the 2 Port or 4 Port setting for the respective scope channel.

n

2 Port setting

When you select the 2 Port radio button, the Configure InfiniiSim dialog box displays the following parameters:

4 Port setting

You may either select 4 Port (Channels 1 & 3) or 4 Port (Channel 1). The Configure InfiniiSim dialog box displays the following parameters:

Note

Most of the parameters for the 4 Port InfiniiSim set up are the same. However, the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Also, notice that the Port Extraction area is enabled only for the 4 Port (Channel 1) set up.

· For 4 Port (Channels 1 & 3)—

· For 4 Port (Channel 1)—

You may configure the following parameters irrespective of whether you select 2 Port, 4 Port (Channels 1 & 3) or 4 Port (Channel 1).

· Create Transfer Function From Model...—Click the [image] button to access the Create Transfer Function dialog box.

Click Start and follow the instructions as listed in step 2. Once you have completed all steps, click Finish on the same dialog box.

· Apply Transfer Function—In this area, either manually type the file path and name in the Transfer Function File field or click the [image] button to select the transfer function file from the local disk. Notice that the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Select an option from the drop-down if you wish to include or remove delay. By default, IncludeFilterDelay is selected.

· By default, the Bandwidth Limit field is grayed out and the value is set to 6000.00 MHz. You may select the check-box to enable this field and change the value. You may also change the values for Response Correction. In the Filter Size area, you may change the values for Max Time Span and Min Frequency Resolution.

Once you have finished configuring InfiniiSim for the required scope channels, click OK to return to the USB automated test application window.

Next

  • Setting up Precision Probe or Cable


To set up Precision Probe or Cable

Keysight N5416A/N5416B USB Automated Test Application Online Help

Setting Up the Precision Probe/Cable

Note

You may access the precision probe/cable setup feature on the USB Automated Test Application only if the license is available on the Keysight Infiniium Oscilloscope.

  1. From the USB automated test application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the scope channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.

Next

  • Setting up Test Environment


Setup Test Environment

Keysight N5416A/N5416B USB Automated Test Application Online Help

Setting Up the Test Environment

Click the Set Up tab, or click the Set Up box in the Task Flow pane.

  1. Select the appropriate Device Test Point which identifies the type of USB peripheral under test.

    Notice that the Embedded Host option becomes active, on the selection of Host under the Device Test Point. Check the Embedded Host box in order to embed the Device Under Test.

    Note

    The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time you change your selection.

  2. Click the [image] button under the HS Test Connection section to choose either a differential or single-ended connection.

    Select both Signal Quality and Packet Parameter as per test requirements.

  3. In the Test Method section, select either USBET or Both from the drop down box.

    Selecting Both gives you more options at Select Tests, including tests that use Matlab and Oscilloscope (not-Matlab). Tests labeled as Hi-Speed Manual Tests use the Oscilloscope (not-Matlab) method.

  4. Select or type the appropriate User Description and Device Identifier, and enter any desired Comments.

  5. If you are using the new E2649-66405 Droop/Drop test fixture, check the New DroopDrop Fixture box and click on the [image] button to select one or more ports you want to use on the fixture.

  6. Select the appropriate HS Signal Quality Fixture Selection as per the signal quality test requirements.

  7. Check the Debug and Information Only check box, if you want to run informative tests and tests related to debugging.

  8. Select Yes/NO under the Automation section, in order to set up 81130A/81134A pulse generator, E3631A power supply, or 34401A digital multimeter automatically.

    On selecting Yes, the [image] button becomes active. Click the [image] button to access the Configure Devices dialog box. See Configure Devices for more configuration details.

  9. Use the Export Data option in order to export and transform the application's test data which is in XML format, into SQL statements that will insert data into, or update a database using XSLT.

    Click the [image] button to access the Export Data dialog box. See Exporting Test Data to a Database for details on exporting test data.

If you want to manually control the pulse generator, see the following procedures on how to generate a 32-bit SYNC Field packet and 12-bit SYNC Field packet:

  • Setting Up the 81134A Pulse Generator

  • Setting Up the 81130A Pulse Generator

See Also

  • Configure Devices

  • Exporting Test Data to a Database

Next

  • Selecting Tests


Configure Devices...

Settting Up the Test Environmrnt

Configure Devices

Note

These steps assume the oscilloscope and devices are already networked so that the oscilloscope can remotely control them (over LAN, GPIB, etc.). For more information, see the instruments' documentation.

  1. In the Set Up tab of the USB Automated Test Application, select Yes under the Automation section.

  2. Click Configure Devices… to enter the IP Address or SICL Address of the automation device you are using. enter the devices' addresses, click Configure Devices....

  3. Select the tab corresponding to the automation device you are using. Select either IP Address or SICL Address to enable the associated text field and type the respective address. Check the Manual Amplitude Control check box in order to control the amplitude manually.

  4. Click Get IDN... to verify the device's IP or SICL addresses.

  5. Click OK to close the verification message dialog.

  6. Click Close to close the Configure Devices dialog.


Setting Up the 81134A Pulse Generator

Settting Up the Test Environmrnt

Setting Up the 81134A Pulse Generator

This section describes how to create the "32-bit SYNC Field packet" and "12-bit SYNC Field packet" signal pattern setups for the Keysight 81134A pulse generator. The basic instructions for operating the 81134A pulse generator are:

  • Use the arrow buttons below the knob to select menus.

  • Turn the knob to move between fields in the menu.

  • Press, and then turn the knob to change field, then press knob again.

  • Enter numeric values using the keypad and soft keys.

To set up the "32-bit SYNC Field packet" pattern

  1. Restore default Setup: Go to the Main menu, then press the [Recall] soft key, then press the [0] key.

  2. Select and change the Freq to 480 MHz.

  3. Go to the Channel menu.

  4. Select and change the Pulse field to Data mode.

  5. Press the [Ch2] soft key.

  6. Change the Pulse field to Data mode.

  7. Set the Ampl voltage to 400 mV and set the Offset voltage to 0 V.

  8. Press the [Ch1] soft key and repeat this step 7.

  9. Go to the Data menu.

  10. Select and set Length to 960 bits.

  11. Select the Ch1 timing pattern, then press [0] key to erase all bits.

  12. Press the knob, move to bit 1, and enter the following pattern into the first 64 bits of Channel 1:

    01010101 01010101 01010101 01010100 01001110 01010101 01001111 00000000

  13. Press knob and turn to select the Ch2 timing pattern, then press [0] key to erase all bits.

  14. Press the knob, move to bit 1, and enter the following pattern into the first 64 bits of Channel 2:

    10101010 10101010 10101010 10101011 10110001 10101010 10110000 11111111

  15. Press knob to load pattern.

  16. Enable the Ch1 and Ch2 outputs by pressing the keys near their outputs; the keys will light up to indicate the outputs are on.

Note

Make sure the inverting outputs of Ch1 and Ch2 are NOT turned on.

  1. Go to the Main menu, and [Save] this setup into setup 1. When the "32-bit SYNC Field packet" setup is called for in the test procedure, recall setup 1 on the 81134A.

To set up the "12-bit SYNC Field packet" pattern

  1. Start with the setup created above. The first 32 bits in this pattern will be changed to create the "12-bit SYNC Field packet" pattern.

  2. Go to the Data menu.

  3. Use the knob to select the Ch1 timing pattern.

  4. Press the knob, move to bit 1, and enter the following pattern into the first 32 bits of Channel 1:

    00000000 00000000 00000101 01010100

  5. Press knob and select the Ch2 timing pattern.

  6. Press the knob, move to bit 1, and enter the following pattern into the first 32 bits of Channel 2:

    00000000 00000000 00001010 10101011

  7. Press knob to load pattern.

  8. Go to the Main menu, and [Save] this setup into setup 2. When the "12-bit SYNC Field packet" setup is called for in the test procedure, recall setup 2 on the 81134A.


Setting Up the 81130A Pulse Generator

Settting Up the Test Environmrnt

Setting Up the 81130A Pulse Generator

This section describes how to create the "32-bit SYNC Field packet" and "12-bit SYNC Field packet" signal pattern setups for the Keysight 81130A generator.

To set up the "32-bit SYNC Field packet" pattern

  1. Restore default Setup: Pressing [SHIFT] key + [STORE (RECALL)] key and selecting 0 resets 81130A to the default setting.

  2. Select [MODE/TRG] softkey and use the cursor and knob to set as following:

    • Signal: CONTINUOUS PATTERN

    • Pulses Out 1: NRZ

    • Pulses Out 2: NRZ

    • Set TRIGGER OUTPUT AT: SEGM1 START

  3. Select [TIMING] softkey. Move the entry focus to PER and turn knob to select FREQUENCY. Set frequency to 480 MHz.

  4. Select [LEVELS] softkey and use cursor and knob to set as following:

    • CH 1 = High: +800mV, Low: 0mV

    • CH 2 = High: +800mV, Low: 0mV

  5. Select [PATTERN] softkey and set as following:

    • Segment 1 = Length: 32

    • Segment 2 = Length: 32

    • Segment 3 = Length: 896

    • Segment 4 = Length: 0

  6. Define each segment as following:

    • Segment 1:

      CH1: 01010101 01010101 01010101 01010100

      CH2: 10101010 10101010 10101010 10101011

    • Segment 2:

      CH1: 01001110 01010101 01001111 00000000

      CH2: 10110001 10101010 10110000 11111111

    • Segment 3: Set all to 0

  7. Start the data generator output by pressing [SHIFT] key, then [0] key for OUTPUT 1 and [SHIFT] key then [+/-] key for OUTPUT 2.

  8. Insert memory card to 81130A.

    1. Select the [MEMCARD] softkey. If [MEMCARD] is not in the menu, press [MORE] key until [MEMCARD] comes up. The content of the memory will appear on the screen.

    2. Move the cursor to [Perform Operation] and turn the knob to select "Store". Then press [ENTER] key.

    3. Turn the knob to input file name as IN_ADD1, then press [ENTER] to save memory card.

    When the "32-bit SYNC Field packet" setup is called for in the test procedure, recall IN_ADD1 on the 81130A.

To set up the "12-bit SYNC Field packet" pattern

  1. Select the [MEMCARD] softkey. If [MEMCARD] is not in the menu, press [MORE] key until [MEMCARD] comes up. The content of the memory will appear on the screen.

  2. Use the cursor and the rotary knob to select IN_ADD1.ST0 setup file. Move the cursor to [Perform Operation] and turn the knob to select "Recall". Then press [ENTER] key to load it.

  3. Select [PATTERN] softkey and modify the first segment as following:

    • Segment 1:

      CH1: 00000000 00000000 00000101 01010100

      CH2: 00000000 00000000 00001010 10101011

  4. Insert memory card to 81130A.

    1. Select the [MEMCARD] softkey. If [MEMCARD] is not in the menu, press [MORE] key until [MEMCARD] comes up. The content of the memory will appear on the screen.

    2. Move the cursor to [Perform Operation] and turn the knob to select "Store". Then press [ENTER] key.

    3. Turn the knob to input file name as "MIN_ADD1", then press [ENTER] to save memory card.

    When the "12-bit SYNC Field packet" setup is called for in the test procedure, recall "MIN_ADD1" on the 81130A.


Exporting Test Data to a Database

Settting Up the Test Environmrnt

Exporting Test Data to a Database

Because the automated test application's test data is in XML format, it can be transformed, using XSLT, into SQL statements that will insert data into, or update, a database.

  1. In the Set Up tab, make sure there is Device Identifier text; then, click Export Data....

    Data will be exported to the database using the device ID as a row identifier (primary key).

  2. To generate the XSLT that will transform XML data into SQL statements, click Create XSL in the ExportData dialog.

  3. In the GenerateXSLT dialog:

    1. Enter the database table name.

    2. Select the data items you want to export

    3. Click Add Items.

    4. Enter and select the appropriate Column Name and Data Typess.

    5. Click Create XSL.

  4. In the Create XSLT dialog, enter the name of the XSLT template file that will be created; then, click OK.

    This can be any name that will identify the file as being for a particular database table.

  5. In the message dialog that says "XSLT created!", click OK.

  6. To generate the SQL statements that will insert data into or update a database (typically at the end of a test session), click Generate SQL in the Export Data dialog.

  7. In the Select Template dialog, select the XSLT template that you previously named; then, click OK.

    The selected XSLT template is used to transform the XML data file into SQL statements (which are stored in the report.txt file in your project directory).

Note

You must re-generate the SQL each time there is updated/new data to be exported to the database. (You do not have to re-create the XSLT template every time.)

  1. To update the database (using the generated SQL statements), click Update Database in the Export Data dialog.

  2. In the DBConnect dialog, select the appropriate options:

    • Entry Type - Create New Entry executes the INSERT statement. Update Data skips the INSERT statement.

    • Database - SQL database running on Microsoft SQL server. Microsoft Jet database (for example, Microsoft Access).

    The automated test application uses the Microsoft .NET System.Data.OleDb namespace and System.Data.SqlClient namespace to access and update the databases.

  3. Click OK to update the database.

    You can open the database and table to verify that data has been inserted or updated.

Using SQL Server Databases

When selecting a Microsoft SQL server database, the DBConnect dialog is a little different: the DataSource field names the database server, and the new Database field names the database.

In this example, the following SQL commands were used to create the database and table:

  1.

        CREATE DATABASE db2;
        USE db2;
        CREATE TABLE dbo.DeviceTest
           (SerialNumber char(30) PRIMARY KEY NOT NULL,
            RiseTime numeric NULL,
            FallTime numeric NULL);

Also, the server authentication mode was changed to "SQL Server and Windows Authentication" and the "sa" login was enabled and assigned a password.


Selecting Tests

Keysight N5416A/N5416B USB Automated Test Application Online Help

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

Note

The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time you change your selection.

Some things to note:

  • Checking a parent node/group will check all available sub-groups/tests.

  • Unchecking a parent node/group will uncheck all sub-groups/tests.

  • A parent node is checked if all subgroups are checked.

  • A parent node is unchecked if ANY subgroup is unchecked.

Using the Right-Click Pop-Up Menu

When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.

The test failed.

The test has not been run, or no tests in the group have been run.

The test is currently running.

Some tests in the group have run and passed.

Some tests in the group have run and failed.

Some tests in the group have passed and some have failed; not all of the tests have been run.

Some tests in the group have passed and some have failed; all of the tests have run.

All tests in the group have run and passed.

All tests in the group have run and failed.

See Also

  • Keysight N5416A USB 2.0 Compliance Test Option Notes on Electrical Testing
Next

  • Configuring Tests


Configuring Tests

Keysight N5416A/N5416B USB Automated Test Application Online Help

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select either Compliance Mode or Debug Mode.

    • Compliance Mode — lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode — lets you modify configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.
    A description of the selected configuration item appears in the lower, right part of the application window.

Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

Tips

  • A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

  • A quick way to reset all configuration options is to switch from Debug Mode to Compliance Mode.

  • A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.
Next

  • Connecting the Oscilloscope to the DUT


Connecting the Oscilloscope to the DUT

Keysight N5416A/N5416B USB Automated Test Application Online Help

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. View the Source Tests Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

    Note

    The Source Tests Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and turns green.

Next

  • Running Tests


Running Tests

Keysight N5416A/N5416B USB Automated Test Application Online Help

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

    • Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for
the Select Tests tab only.

  • Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

  • Under the Run Tests tab, click the Start button to run the selected tests.

You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

For more information on the options available under the Run Tests tab, see:

  • To select the "store mode"

  • To run multiple times

  • To send email on pauses or stops

  • To pause or stop on events

  • To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running. Click Stop to abort the tests from running any further.

If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

  4. When all selected tests are complete, click OK. The Results tab is displayed.

See Also

  • To set the display preferences

  • To set the run preferences

Next

  • Automating the Application


To select the "store mode"

Running Tests

To select the Store Mode

You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

If you change the type of trials in the Store Mode section, all existing test results will be deleted.

The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests.

By default, Once is selected.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

Note

When you choose to run the tests N times, you may use the trial display options in the Report tab of the Preference dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.

  • Once — Tests are run only once.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box.

  3. Click Configure.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

Pauses occur between runs when you run your tests for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the run preferences

Running Tests

To set the run preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the USB Automated test application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the USB Automated test application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


Automating the Application

Keysight N5416A/N5416B USB Automated Test Application Online Help

Automating the Application

The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

In the Script mode, the application runs commands entered in the script text box.

To construct a script of commands, do one of the following:

· Type in commands (one per line) in the script text box

· Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.

Next

  • Viewing Test Results


Viewing Results

Keysight N5416A/N5416B USB Automated Test Application Online Help

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

Under the Results tab, select one or more trials that you want to delete and do one of the following:

  1. Click [image] on the toolbar.

Click Yes to delete the selected result.

  2. Press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the trial or test to delete.

  4. Right-click inside the display area of the trial tab (at the lower pane).

· Select the trial to delete.

If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these tests at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

· If you delete the last remaining trial of a test, the entire test results are removed.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the USB automated test application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

This opens the reference image dialog.

In the reference image dialog, you can:

· Click the flash red pixels button [image] to highlight the points of failure.

· Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  2. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the USB automated test application's menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and OK to close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the USB automated test application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, order tests chronologically or you may use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set trial display preferences

Viewing Results

To set the Trial Display preferences

  1. From the USB automated test application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Trial Display section, select the number of worst trials whose details you want the application to display.

  4. Select the radio button for Order trial details: to arrange the display order of the trial details either chronologically or the worst trial first followed by the rest of the trials. By default, Worst first is selected.

  5. Select the check-box for Show images for up to 25 worst trial(s) if you want the application to display images of the signal on the scope that were captured during running of such trials. By default, this box is selected.

  6. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Keysight N5416A/N5416B USB Automated Test Application Online Help

Viewing/Exporting/Printing the Report

To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Understanding the Report


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the USB automated test application's main menu, click File>Export>Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

Select CSV to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File — To save a single-file report, select "Web Archive, single file (.mht)" for the "Save As" type.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File — For large reports, where you may prefer using links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report printout, click [image] or choose File>Print Preview... from the USB automated test application's menu.

· To print the HTML test report, click [image] or choose File>Print... from the menu.


To set HTML Report preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the USB automated test application's menu, click View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, select the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Keysight N5416A/N5416B USB Automated Test Application Online Help

Understanding the Report

The information in this topic will help you understand the different sections of the USB HTML Report.

The top section of the USB Test Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

The next section of the report shows the statistics for each of the selected measurements.

Next

· Saving Test Projects


Saving Test Projects

Keysight N5416A/N5416B USB Automated Test Application Online Help

Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File>Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

See Also

  • To set AutoRecovery Preferences

Next

  • User Defined Add-Inns


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the USB automated test application's menu, choose View>Preferences....

  2. In the Preferences dialog box, select the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


User Defined Add-Ins

Keysight N5416A/N5416B USB Automated Test Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in

Next

  • Controlling the Application via a Remote PC


To install an add-in

User-Defined Add-Ins

To install an add-in

From the USB automated test application's main menu, click File>User Defined:

The application prompts for the location of the add-in's installer (created by the N5467A UDA tool):

After you click the Open button, a dialog box appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

When you click OK after saving any existing test results, the add-in is installed. Once the installation is complete, the following prompt appears:

Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

Add-in tests are displayed in their own test group on the Select Tests tab:


To remove an add-in

User-Defined Add-Ins

To remove an add-in

From the USB automated test application's main menu, click File>User Defined:

The application displays the following prompt before you uninstall the add-in:

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

When you click OK after saving any existing test results, the USB automated test application closes and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight N5416A/N5416B USB Automated Test Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the USB automated test application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

· Launch and close the applications

· Configure options

· Run tests

· Obtain results

· Control display options & preferences

· Save and load projects

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the USB automated test application's main menu, click Help>About....

  2. In the About dialog, the remote interface version is listed above the Add-In Interface version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the USB automated test application's main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the USB automated test application's main menu, click View>Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

When you select this option:

· Select the remote programming language described in the tips.

· Tooltips related to the remote interface commands appear when you click the toolbar.

· Various controls in the tabs will have a context menu item added as "Remote interface hint...".

· The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

Keysight N5416A/N5416B USB Automated Test Application Online Help

Using a Second Monitor

You may use a second monitor to display the USB automated test application, allowing you to view the oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the oscilloscope on the external monitor.

Before starting the USB automated test application, ensure that the second monitor is configured properly:

  1. Exit the oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display drop-down. The recommended screen resolution changes accordingly.

If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution and select an option.

  6. In the Multiple displays drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· [image] Keysight N5416A USB 2.0 Compliance Test Option Notes on Electrical Testing


Configuring a Second Monitor (no Display Properties... button)

Keysight N5416A USB Automated Test Application Online Help

Configuring a Second Monitor (no Display Properties... button)

A second monitor can be used to display the application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the oscilloscope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.


Configuring a Second Monitor

Keysight N5416A USB Automated Test Application Online Help

Configuring a Second Monitor

  1. In the User Preferences dialog, click Display Properties....

    One of two possible dialog boxes appears, depending on the model number of the oscilloscope you are using. These two dialog boxes are shown below.

    Display Properties Dialog Box

    Intel Display Properties Dialog Box

    • If you see the Intel Display Properties dialog box, see Intel Display Properties Dialog Box for instructions on configuring a second monitor.

    • Otherwise, see Display Properties Dialog Box for instructions.

Extending the Desktop

A second monitor can be used to display other applications, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the oscilloscope before configuring the extended desktop.


Intel Display Properties Dialog Box

Keysight N5416A USB Automated Test Application Online Help

Intel Display Properties Dialog Box

A second monitor can be used to display the application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the oscilloscope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Select the Primary Device to be Notebook.

  2. Enable the Extended Desktop control.

  3. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extended Desktop control.


Restricted Rights Legend

Keysight N5416A/N5416B USB Automated Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight N5416A/N5416B USB Automated Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight N5416A/N5416B USB Automated Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight N5416A/N5416B USB Automated Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

Keysight N5416A/N5416B USB Automated Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


To change margin thresholds and report trial display

Keysight N5416A USB Automated Test Application Online Help

To change margin thresholds and report trial display

  1. From the USB automated test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Report tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

    In the Report tab, at the Margin Reporting category, you can:

    • Enable or disable margin reporting.

    • You can change the percent of margin at which to give warnings or critical failures.

    At the Trial display category, you can:

    • Change the view of the test result: You can view up to 25 worst trials at one time.

    • Order trial details chronologically or by worst trial first.

    • View images for up to 25 worst trials.

  2. Click OK to close the Preferences dialog.

See Also

  • Viewing Test Results